package net.metaunix.services;

import javafx.concurrent.ScheduledService;
import javafx.concurrent.Task;
import oshi.SystemInfo;
import oshi.software.os.OperatingSystem;

import net.metaunix.SysInfo;

public class UpdateSystemInfoService extends ScheduledService<Void> {

  private static int counter = 0;

  @Override
  protected Task<Void> createTask() {
    return new Task<>() {

      @Override
      protected Void call() throws Exception {
        UpdateSystemInfoService.counter++;
        SystemInfo si = new SystemInfo();
        OperatingSystem os = si.getOperatingSystem();
        SysInfo.osString = String.valueOf(UpdateSystemInfoService.counter) + " " + String.valueOf(os);
        return null;
      }

    };
  }

}
